unit GameViewDialogueSpeaking;

interface

uses Classes,
  CastleVectors, CastleUIControls, CastleControls, CastleKeysMouse;

type
  TViewDialogueSpeaking = class(TCastleView)
  published
    { Components designed using CGE editor.
      These fields will be automatically initialized at Start. }
    // ButtonXxx: TCastleButton;
  public
    constructor Create(AOwner: TComponent); override;
    procedure Start; override;
    procedure Update(const SecondsPassed: Single; var HandleInput: boolean); override;
  end;

var
  ViewDialogueSpeaking: TViewDialogueSpeaking;

implementation

constructor TViewDialogueSpeaking.Create(AOwner: TComponent);
begin
  inherited;
  DesignUrl := 'castle-data:/gameviewdialoguespeaking.castle-user-interface';
end;

procedure TViewDialogueSpeaking.Start;
begin
  inherited;
  { Executed once when view starts. }
end;

procedure TViewDialogueSpeaking.Update(const SecondsPassed: Single; var HandleInput: boolean);
begin
  inherited;
  { Executed every frame. }
end;

end.
