unit GameAudio;

interface

uses Classes, CastleSoundEngine;

type
  TAudio = class

    strict private
    class var FVolume: Single;
    class procedure SetVolume(const Vol: Single); static;

    public
    class property Volume: Single read FVolume write SetVolume;

    procedure Sync;

  end;

implementation

    class procedure TAudio.SetVolume(const Vol: Single);
    begin
      FVolume := Vol;
    end;

    procedure TAudio.Sync;
    begin
      Volume := SoundEngine.Volume;
    end;

end.
