unit GameForfeitNav;

interface
uses Classes, CastleUIControls, CastleCameras, CastleInputs;

type
  TForfeitNav = class(TCastleNavigation)

  public
    procedure ClearBinds;
    procedure Settings;
    procedure Use;
  end;

implementation

procedure TForfeitNav.ClearBinds;
begin
    Move

end;

procedure TForfeitNav.Settings;
begin
  MouseLook := false;
  MouseDragMode := mdNone;
  PreferredHeight := 4;
  MoveSpeed := 10;
  CheckCollisions := true;
  Exists := true;
  Gravity := true;
  FullSize := true;
end;

procedure TForfeitNav.Use;
begin
ClearBinds;
Settings;
end;

end.
