unit GameViewDialogue;

interface

uses Classes,
  CastleVectors, CastleUIControls, CastleControls, CastleKeysMouse, castlescene, castletransform;

type
  TViewDialogue = class(TCastleView)
  published
    { Components designed using CGE editor.
      These fields will be automatically initialized at Start. }
    // ButtonXxx: TCastleButton;
    Speaking: TCastleScene;
  private 
    
  public
    constructor Create(AOwner: TComponent); override;
    procedure Start; override;
    procedure Update(const SecondsPassed: Single; var HandleInput: boolean); override;
    procedure ClickContinue(Sender: TObject);
  end;

var
  ViewDialogue: TViewDialogue;

implementation

uses gameviewsceneone;

constructor TViewDialogue.Create(AOwner: TComponent);
begin
  inherited;
  DesignUrl := 'castle-data:/gameviewdialogue.castle-user-interface';
end;

procedure TViewDialogue.Start;
begin
  inherited;
  { Executed once when view starts. }

end;

procedure TViewDialogue.ClickContinue(Sender: TObject);
begin 

end;

procedure TViewDialogue.Update(const SecondsPassed: Single; var HandleInput: boolean);
begin
  inherited;
  { Executed every frame. }
end;

end.
